Subject: If you are disappointed in its second half, bold, come in!

From: <[email-masked]>
Date: Mon, 8 Feb 2010 19:28:58 -0430

Why we stopped our communication? I expected more, Olga! Enter right here